org.eclipse.rdf4j.repository

## Class CascadeValueExceptionTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.CascadeValueExceptionTest

-     public abstract class CascadeValueExceptionTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CascadeValueExceptionTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testValueExceptionEqualPlain()`
    `void` | `testValueExceptionEqualTyped()`
    `void` | `testValueExceptionGreaterThanOrEqualPlain()`
    `void` | `testValueExceptionGreaterThanOrEqualTyped()`
    `void` | `testValueExceptionGreaterThanPlain()`
    `void` | `testValueExceptionGreaterThanTyped()`
    `void` | `testValueExceptionLessThanOrEqualPlain()`
    `void` | `testValueExceptionLessThanOrEqualTyped()`
    `void` | `testValueExceptionLessThanPlain()`
    `void` | `testValueExceptionLessThanTyped()`
    `void` | `testValueExceptionNotEqualPlain()`
    `void` | `testValueExceptionNotEqualTyped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CascadeValueExceptionTest

          public CascadeValueExceptionTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionLessThanPlain

          public void testValueExceptionLessThanPlain()
                                               throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionLessThanOrEqualPlain

          public void testValueExceptionLessThanOrEqualPlain()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionEqualPlain

          public void testValueExceptionEqualPlain()
                                            throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionNotEqualPlain

          public void testValueExceptionNotEqualPlain()
                                               throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionGreaterThanOrEqualPlain

          public void testValueExceptionGreaterThanOrEqualPlain()
                                                         throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionGreaterThanPlain

          public void testValueExceptionGreaterThanPlain()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionLessThanTyped

          public void testValueExceptionLessThanTyped()
                                               throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionLessThanOrEqualTyped

          public void testValueExceptionLessThanOrEqualTyped()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionEqualTyped

          public void testValueExceptionEqualTyped()
                                            throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionNotEqualTyped

          public void testValueExceptionNotEqualTyped()
                                               throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionGreaterThanOrEqualTyped

          public void testValueExceptionGreaterThanOrEqualTyped()
                                                         throws Exception

      Throws:
        `Exception`

    - #### testValueExceptionGreaterThanTyped

          public void testValueExceptionGreaterThanTyped()
                                                  throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.